const system = require("../../system");
const settings = require("../../../config/settings");
const uiconfig = system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
    return db.define("footerinfo", {
        companyName: DataTypes.STRING,
        serviceTel: DataTypes.STRING(20),//客服电话
        cooperationTel: DataTypes.STRING(20),//商务合作
        address: DataTypes.STRING(255),//地址
        picUrl: DataTypes.STRING(500),//底部icon
        loginUrl: DataTypes.STRING(500),
        aboutUs: DataTypes.TEXT('long'),
        icpNum: DataTypes.STRING(500),//备案号
        icpCard: DataTypes.STRING(500),//备案证
        establishmentYear: DataTypes.STRING(500),//公司成立年份
        wxQrCodeUrl:DataTypes.STRING(500),
    }, {
            paranoid: true,//假的删除
            underscored: true,
            version: true,
            freezeTableName: true,
            //freezeTableName: true,
            // define the table's name
            tableName: 's_footerinfo',
            validate: {},
            indexes: [
                // Create a unique index on email
                //  {
                //    unique: true,
                //    fields: ['email']
                //  },
                //
                //  // Creates a gin index on data with the jsonb_path_ops operator
                //  {
                //    fields: ['data'],
                //    using: 'gin',
                //    operator: 'jsonb_path_ops'
                //  },
                //
                //  // By default index name will be [table]_[fields]
                //  // Creates a multi column partial index
                //  {
                //    name: 'public_by_author',
                //    fields: ['author', 'status'],
                //    where: {
                //      status: 'public'
                //    }
                //  },
                //
                //  // A BTREE index with a ordered field
                //  {
                //    name: 'title_index',
                //    method: 'BTREE',
                //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
                //  }
            ]
        });
}
